/****************************************************************************************
Function/Procedure  Name            :- fnOpenDhtmlModalPopup
functionality                       :- To Call Function to open the DHTML modal popup window.		
****************************************************************************************/

function fnOpenDhtmlModalPopup(obj, container, source, title, attrbts) {
    //alert(" opening : " + title.toString());
    var popupwin = dhtmlmodal.open(obj, container, source, title, attrbts, "recal");
}


/****************************************************************************************
Function/Procedure  Name            :- fnCloseDhtmlModalPopup
functionality                       :- To Call Function to close the DHTML modal popup window.		
****************************************************************************************/
function fnCloseDhtmlModalPopup(srcObj) {
    //alert("closing pop up");
    var popup = parent.document.getElementById(srcObj);
    if (popup != null) {
        popup.hide();
        popup.close();
        //parent.parent.__doPostBack("", "");
    }
    else {
        window.close();
        return false;
    }

}


/****************************************************************************************
Function/Procedure  Name            :- fnCloseDhtmlModalPopup
functionality                       :- To Call Function to close the DHTML modal popup window.		
****************************************************************************************/
function fnCloseDhtmlModalPopupWithPostBack(srcObjc) {
    //alert("closing pop up");
    var popup1 = parent.document.getElementById(srcObjc);
    if (popup1 != null) {
        popup1.hide();
        popup1.close();
        parent.parent.__doPostBack("", "");
    }
    else {
        window.close();
        return false;
    }

}